/* -*-C-*-
*******************************************************************************
*
* File:         ComposeHelper.h
* RCS:          /usr/local/sources/CVS/EnhanceMail/ComposeHelper.h,v 1.3 1999/11/24 22:04:02 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Sat Jun 22 17:02:39 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>
#import "MailApp.h"

@interface EnhanceComposeHelper : Object
{
   id accessoryBox;
   id encryptSwitch;
   id signSwitch;
   id useKeyText;
   id useKeyButton;
   Window *offscreenWindow;
}

- toggleEncrypt:sender;
- showPGPKeyPanel:sender;

- (View *)composeView;
- (BOOL)willDeliverMessage:(MailMessage *)mes to:(StringList *)rec;

@end // EnhanceComposeHelper
