/* -*-ObjC-*-
*******************************************************************************
*
* File:         Enumerator.h
* RCS:          Enumerator.h,v 1.2 2000/02/26 18:52:48 tom Exp
* Description:  Interface of EnhanceEnumerator class. (shades of NSEnumerator)
* Author:       Tom Hageman
* Created:      May 1998
* Modified:     
* Language:     Objective-C
* Package:      EnhanceMail
* Status:       Experimental
*
* Copyright (C) 1996-1998 Tom Hageman, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/
#import <objc/Object.h>
#import <objc/List.h>

// Abstract class.
@interface EnhanceEnumerator : Object
- nextObject;
@end


@interface List (EnhanceEnumerator)
- (EnhanceEnumerator *)enhanceObjectEnumerator;
- (EnhanceEnumerator *)enhanceReverseObjectEnumerator;
@end
